; Script generated by the HM NIS Edit Script Wizard.

; HM NIS Edit Wizard helper defines
!define PRODUCT_NAME "ProPTT2"
!define PRODUCT_VERSION "8.1.4"
!define PRODUCT_PUBLISHER "IMPTT, Inc."
!define PRODUCT_OUT "ProPTT2_v8.x.x_setup64.exe"
!define PRODUCT_WEB_SITE "http://www.proptt2.com"
!define PRODUCT_DIR_REGKEY "Software\Microsoft\Windows\CurrentVersion\ProPTT2\ProPTT2.exe"
!define PRODUCT_UNINST_KEY "Software\Microsoft\Windows\CurrentVersion\Uninstall\${PRODUCT_NAME}"
!define PRODUCT_UNINST_ROOT_KEY "HKLM"
!define HKEY_LOCAL_MACHINE 0x80000002

; MUI 1.67 compatible ------
!include "MUI.nsh"

; MUI Settings
!define MUI_ABORTWARNING
!define MUI_ICON "resource\proptt.ico"
!define MUI_UNICON "${NSISDIR}\Contrib\Graphics\Icons\modern-uninstall.ico"
!define MUI_HEADERIMAGE
!define MUI_HEADERIMAGE_BITMAP "resource\install_banner_02.bmp"
!define MUI_HEADERIMAGE_UNBITMAP "resource\install_banner_02.bmp"
 !define MUI_WELCOMEFINISHPAGE_BITMAP "resource\install_banner_01.bmp"
!define MUI_WELCOMEFINISHPAGE_UNBITMAP "resource\install_banner_01.bmp"

; Language Selection Dialog Settings
!define MUI_LANGDLL_REGISTRY_ROOT "${PRODUCT_UNINST_ROOT_KEY}"
!define MUI_LANGDLL_REGISTRY_KEY "${PRODUCT_UNINST_KEY}"
!define MUI_LANGDLL_REGISTRY_VALUENAME "NSIS:Language"

; Welcome page
!insertmacro MUI_PAGE_WELCOME
; License page
!insertmacro MUI_PAGE_LICENSE "resource\Terms_en.txt"
; Directory page
!insertmacro MUI_PAGE_DIRECTORY
; Instfiles page
!insertmacro MUI_PAGE_INSTFILES
; Finish page
!define MUI_FINISHPAGE_RUN "$INSTDIR\ProPTT2.exe"
!insertmacro MUI_PAGE_FINISH

; Uninstaller pages
!insertmacro MUI_UNPAGE_INSTFILES

; Language files
!insertmacro MUI_LANGUAGE "English"

; MUI end ------

Name "${PRODUCT_NAME}"
RequestExecutionLevel admin
OutFile "${PRODUCT_OUT}"
InstallDir "$PROGRAMFILES\IMPTT"
InstallDirRegKey HKLM "${PRODUCT_DIR_REGKEY}" ""
ShowInstDetails show
ShowUnInstDetails show

!ifdef INNER
  !echo "Inner invocation"                  ; just to see what's going on
  OutFile "$%TEMP%\tempinstaller.exe"        ; not really important where this is
  SetCompress off                           ; for speed
!else
  !echo "Outer invocation"
 
  ; Call makensis again against current file, defining INNER.  This writes an installer for us which, when
  ; it is invoked, will just write the uninstaller to some location, and then exit.
 
  !makensis '/DINNER "${__FILE__}"' = 0
 
  ; So now run that installer we just created as %TEMP%\tempinstaller.exe.
 
  !system 'set __COMPAT_LAYER=RunAsInvoker&"$%TEMP%\tempinstaller.exe"' = 0
 
  ; That will have written an uninstaller binary for us.  Now we sign it with your
  ; favorite code signing tool.
 
  !system "..\bin\CodeSigningTool\signtool sign /v /a /ac ..\bin\CodeSigningTool\MSCV_COMODOAddTrust.crt /f ..\bin\proptt2.com.pfx /p imptt$006 /tr http://timestamp.comodoca.com/rfc3161 /td sha256 /fd sha256 $%TEMP%\uninstaller.exe" = 0
 
  ; Good.  Now we can carry on writing the real installer.
 
  OutFile "${PRODUCT_OUT}"
  ; SetCompressor /SOLID lzma
  
  ; !finalize "..\bin\CodeSigningTool\signtool sign /v /a /ac ..\bin\CodeSigningTool\MSCV_COMODOAddTrust.crt /f ..\bin\proptt2.com.pfx /p imptt$006 /tr http://timestamp.comodoca.com/rfc3161 /td sha256 /fd sha256 D:\IMPTT\ProPTT\Client\windows\NSIS\ProPTT2_v8.x.x_setup64.exe" = 0
 
!endif

Function .onInit
!ifdef INNER
 
  ; If INNER is defined, then we aren't supposed to do anything except write out
  ; the uninstaller.  This is better than processing a command line option as it means
  ; this entire code path is not present in the final (real) installer.
  SetSilent silent
  WriteUninstaller "$%TEMP%\uninstaller.exe"
  SetErrorLevel 0  ; avoid exit code 2
  Quit  ; just bail out quickly when running the "inner" installer
!endif
  !insertmacro MUI_LANGDLL_DISPLAY
FunctionEnd

Section "MainSection" SEC01
  SetOutPath "$INSTDIR"

!ifndef INNER
  ; this packages the signed uninstaller
  File $%TEMP%\uninstaller.exe
!endif

  ; KillProcDLL::KillProc "ProPTT2.exe"

  SetOverwrite ifnewer
  File "..\bin\BLEConnector.exe"
  File "..\bin\BLETypes.ini"
  File "..\bin\ClearCache.exe"
  File "..\bin\Default-LocationMapForEdge.htm"
  File "..\bin\Default-PTTMapForEdge.htm"
  File "..\bin\Default-PTTSearchMapForEdge.htm"
  File "..\bin\Default-TrackingMapForEdge.htm"
  File "..\bin\Google-LocationMapForEdge.htm"
  File "..\bin\Google-PTTMapForEdge.htm"
  File "..\bin\Google-PTTSearchMapForEdge.htm"
  File "..\bin\Google-TrackingMapForEdge.htm"
  File "..\bin\OSM-LocationMapForEdge.htm"
  File "..\bin\OSM-PTTMapForEdge.htm"
  File "..\bin\OSM-PTTSearchMapForEdge.htm"
  File "..\bin\OSM-TrackingMapForEdge.htm"
  File "..\bin\LGPL.TXT"
  File "..\bin\libeay32.dll"
  File "..\bin\ProPTT2.exe"
  File ".\resource\ProPTT2.ini"
  File "..\bin\ProPTT2Play.exe"
  File "..\bin\ProPTT2Upgrade.exe"
  File "..\bin\ProPTTContainer.dll"
  File "..\bin\ProPTTSDK.dll"
  File "..\bin\ssleay32.dll"
  File ".\VC_redist.x86.exe"
  File ".\MicrosoftEdgeWebView2RuntimeInstallerX86.exe"

  CreateDirectory "$INSTDIR\images"
  SetOutPath "$INSTDIR\images"
  File "..\bin\images\00.png"
  File "..\bin\images\01.png"
  File "..\bin\images\a0.png"
  File "..\bin\images\a1.png"
  File "..\bin\images\b0.png"
  File "..\bin\images\b1.png"
  File "..\bin\images\c0.png"
  File "..\bin\images\c1.png"
  File "..\bin\images\d0.png"
  File "..\bin\images\d1.png"
  File "..\bin\images\e0.png"
  File "..\bin\images\e1.png"
  File "..\bin\images\f0.png"
  File "..\bin\images\f1.png"
  File "..\bin\images\g0.png"
  File "..\bin\images\g1.png"
  File "..\bin\images\h0.png"
  File "..\bin\images\h1.png"
  File "..\bin\images\i0.png"
  File "..\bin\images\i1.png"
  File "..\bin\images\j0.png"
  File "..\bin\images\j1.png"
  File "..\bin\images\k0.png"
  File "..\bin\images\k1.png"
  File "..\bin\images\l0.png"
  File "..\bin\images\l1.png"
  File "..\bin\images\m0.png"
  File "..\bin\images\m1.png"
  File "..\bin\images\n0.png"
  File "..\bin\images\n1.png"
  File "..\bin\images\o0.png"
  File "..\bin\images\o1.png"
  File "..\bin\images\p0.png"
  File "..\bin\images\p1.png"
  File "..\bin\images\ptt.png"
  File "..\bin\images\q0.png"
  File "..\bin\images\q1.png"
  File "..\bin\images\r0.png"
  File "..\bin\images\r1.png"
  File "..\bin\images\s0.png"
  File "..\bin\images\s1.png"
  File "..\bin\images\sos.png"
  File "..\bin\images\t0.png"
  File "..\bin\images\t0000.png"
  File "..\bin\images\t0010.png"
  File "..\bin\images\t0020.png"
  File "..\bin\images\t0030.png"
  File "..\bin\images\t0040.png"
  File "..\bin\images\t0050.png"
  File "..\bin\images\t0100.png"
  File "..\bin\images\t0110.png"
  File "..\bin\images\t0120.png"
  File "..\bin\images\t0130.png"
  File "..\bin\images\t0140.png"
  File "..\bin\images\t0150.png"
  File "..\bin\images\t0200.png"
  File "..\bin\images\t0210.png"
  File "..\bin\images\t0220.png"
  File "..\bin\images\t0230.png"
  File "..\bin\images\t0240.png"
  File "..\bin\images\t0250.png"
  File "..\bin\images\t0300.png"
  File "..\bin\images\t0310.png"
  File "..\bin\images\t0320.png"
  File "..\bin\images\t0330.png"
  File "..\bin\images\t0340.png"
  File "..\bin\images\t0350.png"
  File "..\bin\images\t0400.png"
  File "..\bin\images\t0410.png"
  File "..\bin\images\t0420.png"
  File "..\bin\images\t0430.png"
  File "..\bin\images\t0440.png"
  File "..\bin\images\t0450.png"
  File "..\bin\images\t0500.png"
  File "..\bin\images\t0510.png"
  File "..\bin\images\t0520.png"
  File "..\bin\images\t0530.png"
  File "..\bin\images\t0540.png"
  File "..\bin\images\t0550.png"
  File "..\bin\images\t0600.png"
  File "..\bin\images\t0610.png"
  File "..\bin\images\t0620.png"
  File "..\bin\images\t0630.png"
  File "..\bin\images\t0640.png"
  File "..\bin\images\t0650.png"
  File "..\bin\images\t0700.png"
  File "..\bin\images\t0710.png"
  File "..\bin\images\t0720.png"
  File "..\bin\images\t0730.png"
  File "..\bin\images\t0740.png"
  File "..\bin\images\t0750.png"
  File "..\bin\images\t0800.png"
  File "..\bin\images\t0810.png"
  File "..\bin\images\t0820.png"
  File "..\bin\images\t0830.png"
  File "..\bin\images\t0840.png"
  File "..\bin\images\t0850.png"
  File "..\bin\images\t0900.png"
  File "..\bin\images\t0910.png"
  File "..\bin\images\t0920.png"
  File "..\bin\images\t0930.png"
  File "..\bin\images\t0940.png"
  File "..\bin\images\t0950.png"
  File "..\bin\images\t1.png"
  File "..\bin\images\t1000.png"
  File "..\bin\images\t1010.png"
  File "..\bin\images\t1020.png"
  File "..\bin\images\t1030.png"
  File "..\bin\images\t1040.png"
  File "..\bin\images\t1050.png"
  File "..\bin\images\t1100.png"
  File "..\bin\images\t1110.png"
  File "..\bin\images\t1120.png"
  File "..\bin\images\t1130.png"
  File "..\bin\images\t1140.png"
  File "..\bin\images\t1150.png"
  File "..\bin\images\t1200.png"
  File "..\bin\images\t1210.png"
  File "..\bin\images\t1220.png"
  File "..\bin\images\t1230.png"
  File "..\bin\images\t1240.png"
  File "..\bin\images\t1250.png"
  File "..\bin\images\t1300.png"
  File "..\bin\images\t1310.png"
  File "..\bin\images\t1320.png"
  File "..\bin\images\t1330.png"
  File "..\bin\images\t1340.png"
  File "..\bin\images\t1350.png"
  File "..\bin\images\t1400.png"
  File "..\bin\images\t1410.png"
  File "..\bin\images\t1420.png"
  File "..\bin\images\t1430.png"
  File "..\bin\images\t1440.png"
  File "..\bin\images\t1450.png"
  File "..\bin\images\t1500.png"
  File "..\bin\images\t1510.png"
  File "..\bin\images\t1520.png"
  File "..\bin\images\t1530.png"
  File "..\bin\images\t1540.png"
  File "..\bin\images\t1550.png"
  File "..\bin\images\t1600.png"
  File "..\bin\images\t1610.png"
  File "..\bin\images\t1620.png"
  File "..\bin\images\t1630.png"
  File "..\bin\images\t1640.png"
  File "..\bin\images\t1650.png"
  File "..\bin\images\t1700.png"
  File "..\bin\images\t1710.png"
  File "..\bin\images\t1720.png"
  File "..\bin\images\t1730.png"
  File "..\bin\images\t1740.png"
  File "..\bin\images\t1750.png"
  File "..\bin\images\t1800.png"
  File "..\bin\images\t1810.png"
  File "..\bin\images\t1820.png"
  File "..\bin\images\t1830.png"
  File "..\bin\images\t1840.png"
  File "..\bin\images\t1850.png"
  File "..\bin\images\t1900.png"
  File "..\bin\images\t1910.png"
  File "..\bin\images\t1920.png"
  File "..\bin\images\t1930.png"
  File "..\bin\images\t1940.png"
  File "..\bin\images\t1950.png"
  File "..\bin\images\t2000.png"
  File "..\bin\images\t2010.png"
  File "..\bin\images\t2020.png"
  File "..\bin\images\t2030.png"
  File "..\bin\images\t2040.png"
  File "..\bin\images\t2050.png"
  File "..\bin\images\t2100.png"
  File "..\bin\images\t2110.png"
  File "..\bin\images\t2120.png"
  File "..\bin\images\t2130.png"
  File "..\bin\images\t2140.png"
  File "..\bin\images\t2150.png"
  File "..\bin\images\t2200.png"
  File "..\bin\images\t2210.png"
  File "..\bin\images\t2220.png"
  File "..\bin\images\t2230.png"
  File "..\bin\images\t2240.png"
  File "..\bin\images\t2250.png"
  File "..\bin\images\t2300.png"
  File "..\bin\images\t2310.png"
  File "..\bin\images\t2320.png"
  File "..\bin\images\t2330.png"
  File "..\bin\images\t2340.png"
  File "..\bin\images\t2350.png"
  File "..\bin\images\t2400.png"
  File "..\bin\images\t2410.png"
  File "..\bin\images\t2420.png"
  File "..\bin\images\t2430.png"
  File "..\bin\images\t2440.png"
  File "..\bin\images\t2450.png"
  File "..\bin\images\u0.png"
  File "..\bin\images\u1.png"
  File "..\bin\images\v0.png"
  File "..\bin\images\v1.png"
  File "..\bin\images\w0.png"
  File "..\bin\images\w1.png"
  File "..\bin\images\x0.png"
  File "..\bin\images\x1.png"
  File "..\bin\images\y0.png"
  File "..\bin\images\y1.png"
  File "..\bin\images\z0.png"
  File "..\bin\images\z1.png"
  
  CreateDirectory "$INSTDIR\sounds"
  SetOutPath "$INSTDIR\sounds"
  File "..\bin\sounds\alert.mp3"
  File "..\bin\sounds\sos.mp3"
  File "..\bin\sounds\videoshare.mp3"
  
  CreateDirectory "$SMPROGRAMS\IMPTT"
  CreateShortCut "$SMPROGRAMS\IMPTT\ProPTT2.lnk" "$INSTDIR\ProPTT2.exe"
  CreateShortCut "$SMPROGRAMS\IMPTT\ProPTT2Player.lnk" "$INSTDIR\ProPTT2Play.exe"
  CreateShortCut "$SMPROGRAMS\IMPTT\Uninstall.lnk" "$INSTDIR\uninstaller.exe"
  CreateShortCut "$DESKTOP\ProPTT2.lnk" "$INSTDIR\ProPTT2.exe"

 System::Call 'shell32.dll::SHChangeNotify(i, i, i, i) v  (${SHCNE_ASSOCCHANGED}, ${SHCNF_IDLIST}, 0, 0)'
SectionEnd

Section -AdditionalIcons
  WriteIniStr "$INSTDIR\${PRODUCT_NAME}.url" "InternetShortcut" "URL" "${PRODUCT_WEB_SITE}"
  CreateShortCut "$SMPROGRAMS\IMPTT\Uninstall.lnk" "$INSTDIR\uninstaller.exe"
SectionEnd

Section -Post
  ; WriteUninstaller "$INSTDIR\uninst.exe"
  WriteRegStr HKLM "${PRODUCT_DIR_REGKEY}" "" "$INSTDIR\ProPTT2.exe"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "DisplayName" "$(^Name)"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "UninstallString" "$INSTDIR\uninst.exe"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "DisplayIcon" "$INSTDIR\ProPTT2.exe"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "DisplayVersion" "${PRODUCT_VERSION}"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "URLInfoAbout" "${PRODUCT_WEB_SITE}"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "Publisher" "${PRODUCT_PUBLISHER}"
  WriteRegDWORD ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "NoModify" 1
  WriteRegDWORD ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "NoRepair" 1
  ; WriteUninstaller "$INSTDIR\uninstall.exe"
  

  Call CheckVCRedist2019
	Pop $R8 
	StrCmp $R8 "No" 0 doneCheckVCRedist2019 
		IfSilent 0 nonsilentCheckVCRedist2019
		  ExecWait "$INSTDIR\VC_redist.x86.exe /Q"
		Goto doneCheckVCRedist2019
		nonsilentCheckVCRedist2019:
		  ExecWait "$INSTDIR\VC_redist.x86.exe"
	doneCheckVCRedist2019:
	
	Delete "$INSTDIR\VC_redist.x86.exe"
	
Call CheckWebView2
	Pop $R9 
	StrCmp $R9 "No" 0 doneCheckWebView2
		IfSilent 0 nonsilentCheckWebView2
		  ExecWait "$INSTDIR\MicrosoftEdgeWebView2RuntimeInstallerX86.exe /silent /install"
		Goto doneCheckWebView2
		nonsilentCheckWebView2:
		  ExecWait "$INSTDIR\MicrosoftEdgeWebView2RuntimeInstallerX86.exe /install"
	doneCheckWebView2:

	Delete "$INSTDIR\MicrosoftEdgeWebView2RuntimeInstallerX86.exe"
SectionEnd

Function CheckVCRedist2019
Push $R8
ClearErrors
  SetRegView 32 
  ;Registry Version д´.
  ReadRegStr $R8 HKLM "SOFTWARE\Classes\Installer\Dependencies\VC,redist.x86,x86,14.32,bundle" "Version"
  ; if VS 2019 redist not installed, install it
  IfErrors 0 VSRedistInstalled
  StrCpy $R8 "No" ;Registry ٸ R8  No .
VSRedistInstalled: ;Registry ִٸ R8  ġ  .
  Exch $R8
FunctionEnd

Function CheckWebView2
Push $R9
ClearErrors
  SetRegView 64 
  ;Registry Version д´.
  ReadRegStr $R9 HKLM "SOFTWARE\WOW6432Node\Microsoft\EdgeUpdate\Clients\{F3017226-FE2A-4295-8BDF-00C3A9A7E4C5}" "pv"
  ; if WebView2 redist not installed, install it
  IfErrors 0 WebView2Installed
	SetRegView 32 
  ;Registry Version д´.
  ReadRegStr $R9 HKLM "SOFTWARE\Microsoft\EdgeUpdate\Clients\{F3017226-FE2A-4295-8BDF-00C3A9A7E4C5}" "pv"
  ; if WebView2 redist not installed, install it
  IfErrors 0 WebView2Installed  
  StrCpy $R9 "No" ;Registry ٸ R9  No .
WebView2Installed: ;Registry ִٸ R9  ġ  .
  Exch $R9
FunctionEnd

Function un.onUninstSuccess
  HideWindow
  IfSilent +2
	MessageBox MB_ICONINFORMATION|MB_OK "$(^Name) is uninstalled."
FunctionEnd

Function un.onInit
!insertmacro MUI_UNGETLANGUAGE
  IfSilent +3
	MessageBox MB_ICONQUESTION|MB_YESNO|MB_DEFBUTTON2 "Do you want to uninstall $(^Name)?" IDYES +2
	Abort
FunctionEnd

!ifdef INNER
Section Uninstall

  Delete "$INSTDIR\images\00.png"
  Delete "$INSTDIR\images\01.png"
  Delete "$INSTDIR\images\a0.png"
  Delete "$INSTDIR\images\a1.png"
  Delete "$INSTDIR\images\b0.png"
  Delete "$INSTDIR\images\b1.png"
  Delete "$INSTDIR\images\c0.png"
  Delete "$INSTDIR\images\c1.png"
  Delete "$INSTDIR\images\d0.png"
  Delete "$INSTDIR\images\d1.png"
  Delete "$INSTDIR\images\e0.png"
  Delete "$INSTDIR\images\e1.png"
  Delete "$INSTDIR\images\f0.png"
  Delete "$INSTDIR\images\f1.png"
  Delete "$INSTDIR\images\g0.png"
  Delete "$INSTDIR\images\g1.png"
  Delete "$INSTDIR\images\h0.png"
  Delete "$INSTDIR\images\h1.png"
  Delete "$INSTDIR\images\i0.png"
  Delete "$INSTDIR\images\i1.png"
  Delete "$INSTDIR\images\j0.png"
  Delete "$INSTDIR\images\j1.png"
  Delete "$INSTDIR\images\k0.png"
  Delete "$INSTDIR\images\k1.png"
  Delete "$INSTDIR\images\l0.png"
  Delete "$INSTDIR\images\l1.png"
  Delete "$INSTDIR\images\m0.png"
  Delete "$INSTDIR\images\m1.png"
  Delete "$INSTDIR\images\n0.png"
  Delete "$INSTDIR\images\n1.png"
  Delete "$INSTDIR\images\o0.png"
  Delete "$INSTDIR\images\o1.png"
  Delete "$INSTDIR\images\p0.png"
  Delete "$INSTDIR\images\p1.png"
  Delete "$INSTDIR\images\ptt.png"
  Delete "$INSTDIR\images\q0.png"
  Delete "$INSTDIR\images\q1.png"
  Delete "$INSTDIR\images\r0.png"
  Delete "$INSTDIR\images\r1.png"
  Delete "$INSTDIR\images\s0.png"
  Delete "$INSTDIR\images\s1.png"
  Delete "$INSTDIR\images\sos.png"
  Delete "$INSTDIR\images\t0.png"
  Delete "$INSTDIR\images\t0000.png"
  Delete "$INSTDIR\images\t0010.png"
  Delete "$INSTDIR\images\t0020.png"
  Delete "$INSTDIR\images\t0030.png"
  Delete "$INSTDIR\images\t0040.png"
  Delete "$INSTDIR\images\t0050.png"
  Delete "$INSTDIR\images\t0100.png"
  Delete "$INSTDIR\images\t0110.png"
  Delete "$INSTDIR\images\t0120.png"
  Delete "$INSTDIR\images\t0130.png"
  Delete "$INSTDIR\images\t0140.png"
  Delete "$INSTDIR\images\t0150.png"
  Delete "$INSTDIR\images\t0200.png"
  Delete "$INSTDIR\images\t0210.png"
  Delete "$INSTDIR\images\t0220.png"
  Delete "$INSTDIR\images\t0230.png"
  Delete "$INSTDIR\images\t0240.png"
  Delete "$INSTDIR\images\t0250.png"
  Delete "$INSTDIR\images\t0300.png"
  Delete "$INSTDIR\images\t0310.png"
  Delete "$INSTDIR\images\t0320.png"
  Delete "$INSTDIR\images\t0330.png"
  Delete "$INSTDIR\images\t0340.png"
  Delete "$INSTDIR\images\t0350.png"
  Delete "$INSTDIR\images\t0400.png"
  Delete "$INSTDIR\images\t0410.png"
  Delete "$INSTDIR\images\t0420.png"
  Delete "$INSTDIR\images\t0430.png"
  Delete "$INSTDIR\images\t0440.png"
  Delete "$INSTDIR\images\t0450.png"
  Delete "$INSTDIR\images\t0500.png"
  Delete "$INSTDIR\images\t0510.png"
  Delete "$INSTDIR\images\t0520.png"
  Delete "$INSTDIR\images\t0530.png"
  Delete "$INSTDIR\images\t0540.png"
  Delete "$INSTDIR\images\t0550.png"
  Delete "$INSTDIR\images\t0600.png"
  Delete "$INSTDIR\images\t0610.png"
  Delete "$INSTDIR\images\t0620.png"
  Delete "$INSTDIR\images\t0630.png"
  Delete "$INSTDIR\images\t0640.png"
  Delete "$INSTDIR\images\t0650.png"
  Delete "$INSTDIR\images\t0700.png"
  Delete "$INSTDIR\images\t0710.png"
  Delete "$INSTDIR\images\t0720.png"
  Delete "$INSTDIR\images\t0730.png"
  Delete "$INSTDIR\images\t0740.png"
  Delete "$INSTDIR\images\t0750.png"
  Delete "$INSTDIR\images\t0800.png"
  Delete "$INSTDIR\images\t0810.png"
  Delete "$INSTDIR\images\t0820.png"
  Delete "$INSTDIR\images\t0830.png"
  Delete "$INSTDIR\images\t0840.png"
  Delete "$INSTDIR\images\t0850.png"
  Delete "$INSTDIR\images\t0900.png"
  Delete "$INSTDIR\images\t0910.png"
  Delete "$INSTDIR\images\t0920.png"
  Delete "$INSTDIR\images\t0930.png"
  Delete "$INSTDIR\images\t0940.png"
  Delete "$INSTDIR\images\t0950.png"
  Delete "$INSTDIR\images\t1.png"
  Delete "$INSTDIR\images\t1000.png"
  Delete "$INSTDIR\images\t1010.png"
  Delete "$INSTDIR\images\t1020.png"
  Delete "$INSTDIR\images\t1030.png"
  Delete "$INSTDIR\images\t1040.png"
  Delete "$INSTDIR\images\t1050.png"
  Delete "$INSTDIR\images\t1100.png"
  Delete "$INSTDIR\images\t1110.png"
  Delete "$INSTDIR\images\t1120.png"
  Delete "$INSTDIR\images\t1130.png"
  Delete "$INSTDIR\images\t1140.png"
  Delete "$INSTDIR\images\t1150.png"
  Delete "$INSTDIR\images\t1200.png"
  Delete "$INSTDIR\images\t1210.png"
  Delete "$INSTDIR\images\t1220.png"
  Delete "$INSTDIR\images\t1230.png"
  Delete "$INSTDIR\images\t1240.png"
  Delete "$INSTDIR\images\t1250.png"
  Delete "$INSTDIR\images\t1300.png"
  Delete "$INSTDIR\images\t1310.png"
  Delete "$INSTDIR\images\t1320.png"
  Delete "$INSTDIR\images\t1330.png"
  Delete "$INSTDIR\images\t1340.png"
  Delete "$INSTDIR\images\t1350.png"
  Delete "$INSTDIR\images\t1400.png"
  Delete "$INSTDIR\images\t1410.png"
  Delete "$INSTDIR\images\t1420.png"
  Delete "$INSTDIR\images\t1430.png"
  Delete "$INSTDIR\images\t1440.png"
  Delete "$INSTDIR\images\t1450.png"
  Delete "$INSTDIR\images\t1500.png"
  Delete "$INSTDIR\images\t1510.png"
  Delete "$INSTDIR\images\t1520.png"
  Delete "$INSTDIR\images\t1530.png"
  Delete "$INSTDIR\images\t1540.png"
  Delete "$INSTDIR\images\t1550.png"
  Delete "$INSTDIR\images\t1600.png"
  Delete "$INSTDIR\images\t1610.png"
  Delete "$INSTDIR\images\t1620.png"
  Delete "$INSTDIR\images\t1630.png"
  Delete "$INSTDIR\images\t1640.png"
  Delete "$INSTDIR\images\t1650.png"
  Delete "$INSTDIR\images\t1700.png"
  Delete "$INSTDIR\images\t1710.png"
  Delete "$INSTDIR\images\t1720.png"
  Delete "$INSTDIR\images\t1730.png"
  Delete "$INSTDIR\images\t1740.png"
  Delete "$INSTDIR\images\t1750.png"
  Delete "$INSTDIR\images\t1800.png"
  Delete "$INSTDIR\images\t1810.png"
  Delete "$INSTDIR\images\t1820.png"
  Delete "$INSTDIR\images\t1830.png"
  Delete "$INSTDIR\images\t1840.png"
  Delete "$INSTDIR\images\t1850.png"
  Delete "$INSTDIR\images\t1900.png"
  Delete "$INSTDIR\images\t1910.png"
  Delete "$INSTDIR\images\t1920.png"
  Delete "$INSTDIR\images\t1930.png"
  Delete "$INSTDIR\images\t1940.png"
  Delete "$INSTDIR\images\t1950.png"
  Delete "$INSTDIR\images\t2000.png"
  Delete "$INSTDIR\images\t2010.png"
  Delete "$INSTDIR\images\t2020.png"
  Delete "$INSTDIR\images\t2030.png"
  Delete "$INSTDIR\images\t2040.png"
  Delete "$INSTDIR\images\t2050.png"
  Delete "$INSTDIR\images\t2100.png"
  Delete "$INSTDIR\images\t2110.png"
  Delete "$INSTDIR\images\t2120.png"
  Delete "$INSTDIR\images\t2130.png"
  Delete "$INSTDIR\images\t2140.png"
  Delete "$INSTDIR\images\t2150.png"
  Delete "$INSTDIR\images\t2200.png"
  Delete "$INSTDIR\images\t2210.png"
  Delete "$INSTDIR\images\t2220.png"
  Delete "$INSTDIR\images\t2230.png"
  Delete "$INSTDIR\images\t2240.png"
  Delete "$INSTDIR\images\t2250.png"
  Delete "$INSTDIR\images\t2300.png"
  Delete "$INSTDIR\images\t2310.png"
  Delete "$INSTDIR\images\t2320.png"
  Delete "$INSTDIR\images\t2330.png"
  Delete "$INSTDIR\images\t2340.png"
  Delete "$INSTDIR\images\t2350.png"
  Delete "$INSTDIR\images\t2400.png"
  Delete "$INSTDIR\images\t2410.png"
  Delete "$INSTDIR\images\t2420.png"
  Delete "$INSTDIR\images\t2430.png"
  Delete "$INSTDIR\images\t2440.png"
  Delete "$INSTDIR\images\t2450.png"
  Delete "$INSTDIR\images\u0.png"
  Delete "$INSTDIR\images\u1.png"
  Delete "$INSTDIR\images\v0.png"
  Delete "$INSTDIR\images\v1.png"
  Delete "$INSTDIR\images\w0.png"
  Delete "$INSTDIR\images\w1.png"
  Delete "$INSTDIR\images\x0.png"
  Delete "$INSTDIR\images\x1.png"
  Delete "$INSTDIR\images\y0.png"
  Delete "$INSTDIR\images\y1.png"
  Delete "$INSTDIR\images\z0.png"
  Delete "$INSTDIR\images\z1.png"
  RMDir "$INSTDIR\images"
  
  Delete "$INSTDIR\sounds\alert.mp3"
  Delete "$INSTDIR\sounds\sos.mp3"
  Delete "$INSTDIR\sounds\videoshare.mp3"
  RMDir "$INSTDIR\sounds"
  
  Delete "$INSTDIR\uninst.exe"
  Delete "$INSTDIR\BLEConnector.exe"
  Delete "$INSTDIR\BLETypes.ini"
  Delete "$INSTDIR\ClearCache.exe"
  Delete "$INSTDIR\Default-LocationMapForEdge.htm"
  Delete "$INSTDIR\Default-PTTMapForEdge.htm"
  Delete "$INSTDIR\Default-PTTSearchMapForEdge.htm"
  Delete "$INSTDIR\Default-TrackingMapForEdge.htm"
  Delete "$INSTDIR\Google-LocationMapForEdge.htm"
  Delete "$INSTDIR\Google-PTTMapForEdge.htm"
  Delete "$INSTDIR\Google-PTTSearchMapForEdge.htm"
  Delete "$INSTDIR\Google-TrackingMapForEdge.htm"
  Delete "$INSTDIR\OSM-LocationMapForEdge.htm"
  Delete "$INSTDIR\OSM-PTTMapForEdge.htm"
  Delete "$INSTDIR\OSM-PTTSearchMapForEdge.htm"
  Delete "$INSTDIR\OSM-TrackingMapForEdge.htm"
  Delete "$INSTDIR\LGPL.TXT"
  Delete "$INSTDIR\libeay32.dll"
  Delete "$INSTDIR\ProPTT2.exe"
  Delete "$INSTDIR\ProPTT2.ini"
  Delete "$INSTDIR\ProPTT2Play.exe"
  Delete "$INSTDIR\ProPTT2Upgrade.exe"
  Delete "$INSTDIR\ProPTTContainer.dll"
  Delete "$INSTDIR\ProPTTSDK.dll"
  Delete "$INSTDIR\ssleay32.dll"

  Delete "$DESKTOP\ProPTT2.lnk"
  Delete "$SMPROGRAMS\IMPTT\ProPTT2.lnk"
  Delete "$SMPROGRAMS\IMPTT\ProPTT2Player.lnk"
  Delete "$SMPROGRAMS\IMPTT\Uninstall.lnk"

  RMDir "$SMPROGRAMS\IMPTT"
  RMDir "$INSTDIR"

  DeleteRegKey ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}"
  DeleteRegKey HKLM "${PRODUCT_DIR_REGKEY}"
  SetAutoClose true

  System::Call 'shell32.dll::SHChangeNotify(i, i, i, i) v  (${SHCNE_ASSOCCHANGED}, ${SHCNF_IDLIST}, 0, 0)'
SectionEnd
!endif